Universes Management

Get Universe Entities

Trigger asynchronous export of entities for one universe

CSV report schema

The generated task produces a CSV export with these columns.

18 / 18 columns
iddescriptionnamefigiisinstickersaliaseswebsitecountryisic4industry_codescityregionleiregistration_codesclient_coderegistration_codes_flatindustry_codes_flat
1a5162ebd-4576-5614-9ac1-f3a8b79a7a90Apple designs, manufactures, and markets smartphones, personal computers, tablets, wearables, and accessories.Apple IncBBG000B9XRY4["US0378331005"]["NASDAQ:AAPL","XETRA:APC"]["apple","apple inc"]www.apple.comunited states of america["Manufacture of communication equipment","Manufacture of computers and peripheral equipment"][{"description":"ISIC Revision 4","values":[{"code":"2630","description":"Manufacture of communication equipment","priority":1}]}]cupertinocaliforniaHWUPKR0MPOU8FGXBT394[{"value":"94-2404110","description":"Federal Taxpayer Identification Number (US)"}]{"Federal Taxpayer Identification Number (US)":"94-2404110"}{"ISIC Revision 4":["2630 - Manufacture of communication equipment"]}
2d843aeac-c845-5fa2-a152-9a2a9de3954bTesla designs, develops, manufactures, sells, and leases fully electric vehicles and energy generation and storage systems.Tesla, Inc.["US88160R1014"]["NASDAQ:TSLA","XETRA:TL0"]["tesla","tesla's"]www.tesla.comunited states of america["Manufacture of motor vehicles","Manufacture of parts and accessories for motor vehicles"][{"description":"ISIC Revision 4","values":[{"code":"2910","description":"Manufacture of motor vehicles","priority":1}]}]austintexas54930043XZGB27CTOV49[{"value":"91-2197729","description":"Federal Taxpayer Identification Number (US)"}]{"Federal Taxpayer Identification Number (US)":"91-2197729"}{"ISIC Revision 4":["2910 - Manufacture of motor vehicles"]}

Two new fields are available for the export:


POST
https://api.textreveal.com/v3/universes/{universe_id}/entities/export

Request

Parameters

  • universe_id*uuid

    Unique identifier of the universe.

    Example: "75ebc096-749e-4b8f-b690-df13daf49c62"
  • name(string (operator))[]

    Name of the entity.

    Example: "eq:fujitsu"
  • alias(string (operator))[]

    Alternative name, abbreviation, or local brand used to refer to a company or entity.

    Example: "ilike:fujitsu"
  • duns(string (operator))[]

    Duns number of the entity.

    Example: "eq:000000000"
  • figi(string (operator))[]

    FIGI (Financial Instrument Global Identifier) of the entity.

    Example: "eq:BBG000BGJWM6"
  • isin(string (operator))[]

    International Securities Identification Number used to uniquely identify a financial security.

    Example: "eq:JP3818000006"
  • ticker(string (operator))[]

    Stock market ticker symbol used to identify a publicly traded company on an exchange.

    Example: "eq:6702.T"
  • lei(string (operator))[]

    Legal Entity Identifier (LEI) is a 20-character alphanumeric code.

    Example: "eq:123400ABCDEFGH56789"
  • entity_id(string (operator))[]

    SESAMm Unique Entity ID.

    Example: "eq:7457a013-9c65-451f-b82d-96d7a22b5cfa"
  • website(string (operator))[]

    Website of the entity. Protocol is not always present.

    Example: "eq:https://www.official-website.com"
  • city(string (operator))[]

    Name of the city, town, township, village, borough, etc. where the entity is located. Value is in lowercase.

    Example: "eq:miami"
  • country(string (enum))[]

    Country of the entity.

    Values: "afghanistan", "aland islands", "albania", "algeria", "american samoa", "andorra", "angola", "anguilla", "antarctica", "antigua and barbuda", "argentina", "armenia", "aruba", "australia", "austria", "azerbaijan", "bahamas", "bahrain... 
  • registration_code(string (operator))[]

    List of registration codes for the entity. Searches on the value field.

    Example: "eq:17133723"
  • isic4(string (operator))[]

    International Standard Industrial Classification of All Economic Activities, Revision 4 (ISIC4) codes identifying the entity's primary economic activities.

    Example: "eq:Public order and safety activities"
  • industry_code(string (operator))[]

    Industry classification codes for the entity. Searches on code and description values.

    Example: "eq:1811"
  • unspsc(string (operator))[]

    United Nations Standard Products and Services Codes for the entity. Searches on code and description values.

    Example: "eq:51000000"
  • region(string (operator))[]

    Administrative region or state in which the entity is located. Value is in lowercase.

    Example: "eq:florida"
  • client_code(string (operator))[]

    Custom entity identifiers to make it easier to link SESAMm entities with external Knowledge Graphs / client systems. The client code are isolated between the SESAMm company model and are not visible to other client.

    To add yours to the entities of your universe, contact your account manager.

    Example: "eq:F32001976"
  • orderfield:direction[]

    Order to apply to the result.

    Possible fields are: name.

    Possible directions are: asc and desc.

    Default: [name:asc]Array length: [1, 1]Example: "name:asc"
  • fields(string (enum))[]

    Fields to include in the response

    Default: ["id", "description", "name", "figi", "isin", "ticker", "alias", "website", "country", "isic4", "city", "region", "lei", "client_code", "registration_codes_flat", "industry_codes_flat", "unspsc_flat"]Values: "id", "description", "name", "figi", "isin", "ticker", "alias", "website", "country", "isic4", "industry_codes", "unspsc", "city", "region", "lei", "client_code", "registration_codes", "registration_codes_flat", "industry_codes_flat... 
  • mappingMap<string, string>

    Custom label overrides.

    Default: {"registration_codes_flat":"registration_codes","industry_codes_flat":"industry_codes","unspsc_flat":"unspsc"}

Response

Response - 200

Starts export of entities

  • task_id*uuid

    Unique identifier of the task

    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
{
  "task_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "name",
      "reason": "invalid_type"
    }
  ]
}

Error - 401

Unauthorized

  • message*string

    Error message.

    Example: "Authorization header is expected"
  • code*number (enum)

    Error code.

    Values: 401
  • reason*string (enum)

    Error reason.

    Values: "unauthorized"
  • errors*object[]
    Array length: [1, 1]
Response
{
  "message": "Authorization header is expected",
  "code": 401,
  "reason": "unauthorized",
  "errors": [
    {
      "message": "Required",
      "field": "headers.authorization",
      "reason": "invalid_type"
    }
  ]
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "Access to duns is restricted"
  • code*number (enum)

    Error code.

    Values: 403
  • reason*string (enum)

    Error reason.

    Values: "forbidden"
Response
{
  "message": "Access to duns is restricted",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your company."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Error - 429

Too many requests

  • message*string

    Error message.

    Example: "You already have 5 tasks in progress. Please wait for one to finish before starting a new one."
  • code*number (enum)

    Error code.

    Values: 429
  • reason*string (enum)

    Error reason.

    Values: "too_many_requests"
Response
{
  "message": "You already have 5 tasks in progress. Please wait for one to finish before starting a new one.",
  "code": 429,
  "reason": "too_many_requests"
}

Generic errors are not shown, see Errors for more details.